@import "_fonts.scss";
$background-color: grey;
$header-font-size: 8em;
$main-font-size: 1.35em;

$color-primary-0: #F8C00D;
$color-primary-1: #FFEBAC;
$color-primary-2: #FFD758;
$color-primary-3: #AB8200;
$color-primary-4: #513E00;

html {
  background-color: hsl(46, 50%, 79%);
  height: 100%;
}

body {
  background-color: white;
  display: grid;
  grid-template-areas: 
    "header nav"
    "main main"
    "footer footer";
  grid-template-columns: auto auto;
  grid-template-rows: ($header-font-size + 2em) auto 15%;
  grid-gap: 5px;
  height: 100%;
  margin: 0px 5% 0px 5%;
}

nav {
  grid-area: nav;
  display: grid;
  grid-template-areas: 
    "home programming design projects";
  grid-template-columns: auto auto auto auto;
  
  a {
    display: block;
    color: #000;
    padding: 8px 16px;
    text-decoration: none;
  }

  a:hover {
    background-color: #555;
    color: white;
  }
} 

header {
  grid-area: header;
  margin-bottom: 3px;
  height: $header-font-size;

  h1 {
    font-family: koliko-light, serif;
    font-size: $header-font-size;
    margin: 0 0 0 5px;
} }

main {
  grid-area: main;
  font-size: $main-font-size;
  padding: 1px;
}

footer {
  grid-area: footer;
  text-align: center;
}

#home {
  grid-area: home;
}

#programming {
  grid-area: programming;
}

#design {
  grid-area: design;
}

#projects {
  grid-area: projects;
}